// content default styles
.entry {
    ol, ul {
        padding-left: 1rem;
    }
    p, li {
        margin-bottom: 1.5rem;
    }
}

// form login
.form-login {
    h2 {
        font-size: 38px !important;
    }
    .ghc-description {
        font-size: 16px !important;
        @include media-breakpoint-up(md) {
            font-size: 0.9rem !important;
        }
    }

    .card-body {
        padding: 3rem !important;
    }

    @include media-breakpoint-up(lg) {
        max-width: 58rem;
        background-image: url(../images/icon-present.svg);
        background-repeat: no-repeat;
        background-position: center 1rem;
    }
}

// articles
@include media-breakpoint-down(xs) {
    .slide-article {
        background-color: #0038aa;
        color: #fff;
        margin: 7rem -15px;
        padding: 2rem 15px 1rem;
        p, .text-primary {
            color: #fff !important;
        }
        .btn {
            background-color: #fff;
            color: #0038aa;
        }
        &:before,
        &:after {
            background-color: #0038aa;
            content: "";
            display: block;
            border-radius: 100%;
            height: 10rem;
            width: 100vw;
            margin: -7rem -15px -6rem;
        }
    }
}

// when bg blue then text white
.bg-primary p {
    color: #fff;
}

// card mobile two collumn
@include media-breakpoint-down(xs) {
    .card {
        h3 {
            font-size: 1.5rem;
        }
        .card-body {
          font-size: .85rem;
        }
    }
    .card.bg-light {
        display: block;
        margin-bottom: 0!important;
        h5 {
            font-size: 1rem;
        }
        p {
            font-size: .75rem;
        }
        .w-50 {
            margin-top: 0!important;
            margin-bottom: -1.5rem;
            width: 100%!important;
        }
        .media {
            display: block;
            text-align: center;
        }
        .media-body {
            padding: 0 1.5rem;
        }
        .btn {
            font-size: .65rem;
            margin-bottom: 1.5rem;
            padding: .5rem 1rem!important;
        }
    }
  }

.slide-article-inner {
  position: relative;
  z-index: 3;

  .text-copy p {
    color: white;

    @include media-breakpoint-up(md) {
      color: black
    }
  }
}
// form custom styling
.form-select {
    vertical-align: middle;
    background-color: $blue;
    background-image: url(../images/icon-arrow-down.svg);
    cursor: pointer;
    &.icon-dropdown, &.icon-dropdown-primary {
        background-position: 99% center;
        background-size: 18%;
        background-image: url(../images/icon-dropdown-white.svg);
        @include media-breakpoint-up(lg) {
            background-size: 13%;
        }
    }
    background-repeat: no-repeat;
    background-position: 92% center;
    background-size: 8%;
    border: 0;
    border-radius: 3rem;
    color: $white;
    appearance: none;
    margin-bottom: 1.5rem;
    padding: .5rem 2.5rem .5rem 1rem;
    &.icon-dropdown-primary {
        background-image: url(../images/icon-dropdown-dark-blue.svg);
        background-position: 98% .4rem;
        background-color: $white;
        background-size: 18%;
        color: $primary;
        padding: .25rem 2.5rem .25rem 1rem;
        &.mw-100 {
            background-size: 11%;
        }
        @include media-breakpoint-up(lg) {
            &.mw-100 {
                background-position: 99% .3rem;
                background-size: 6%;
            }
        }
    }
    &:focus {
      outline: 0;
    }
  
    // Remove outline from select box in FF
    &:-moz-focusring {
      color: transparent;
      text-shadow: 0 0 0 #000;
    }
  }
// list-group
.list-group-item.active {
    background-image: url(../images/icon-radio-active.svg);
    background-position: 1.5rem 2rem;
    background-repeat: no-repeat;
}
// rounded-pill on textarea
.form-border {
    .rounded-pill {
        border-width: .25rem!important;
        max-width: 30rem;
    }
}
textarea.rounded-pill {
    border-radius: 1rem!important;
}
// checkbox
.form-check-input {
    width: 1em;
    height: 1em;
    vertical-align: top;
    background-color: #e3f5ff;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    border: 1px solid #a2dfff;
    appearance: none;
    color-adjust: exact;
    will-change: background-color background-position border-color box-shadow;
    transition: background-color .15s ease-in-out,background-position .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
  
    &[type="checkbox"] {
      border-radius: .25em;
      &:indeterminate {
        background-color: $primary;
        border-color: $primary;
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10h8'/%3e%3c/svg%3e");
      }
    }
  
    &:active {
        filter: brightness(90%);
    }
  
    &:focus {
        border-color: $light;
        outline: 0;
        box-shadow: 0 0 0 .25rem rgba(13,110,253,.25);
    }
  
    &:checked {
      background-color: $primary;
      border-color: $primary;
      background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10l3 3l6-6'/%3e%3c/svg%3e");
    }
}
// select
.custom-select:placeholder {
    color: $primary;
}
  
// footer
.footer {
    background-color: $light;
    border-top:.25rem solid $primary;
    clear: both;
    padding: 3rem 0;
    position: relative;
    &>div>div {
        margin: 0 1.5rem 1.5rem;
        @include media-breakpoint-up(lg) {
            margin: 0 1.5rem 0 0;
        }
    }
    @include media-breakpoint-up(lg) {
        &>div>div:last-child {
            margin-right: 0;
        }
    }
    .copyright {
        padding: 0 1.5rem;
        @include media-breakpoint-up(lg) {
            margin: 0 auto;
            padding: 1rem;
            width: 54%;
        }
    }
}

// avatar
.avatar {
    border: .25rem solid;
    border-radius: 20rem;
    margin-bottom: 1.5rem;
    padding: .25rem;
    position: relative;
    display: inline-block;
    &.gold, &.silver {
        border-color: $orange;
        &:before {
            content: 'Gold';
            background-color: $orange;
            border-radius: 10rem;
            display: block;
            margin: 0 auto;
            color: $white;
            font-size: .75rem;
            text-align: center;
            position: absolute;
            bottom: -1rem;
            left: auto;
            right: auto;
            min-width: 4rem;
        }
    }
    &.silver {
        border-color: #ccc;
        &:before {
            content: 'Silver';
            background-color: #ccc;
        }
    }
    @include media-breakpoint-up(lg) {
        display: block;
        float: left;
        margin-right: 1.5rem;
    }
}

.profile-detail-wrapper {
    max-width: 480px;

    .btn-edit-profile {
        font-size: 0.4em;
        font-weight: bold;
        padding: 0.3em 1em;
    }
}
// redeem
.redeem-profile {
    color: $primary;
    background-color: $light;
    border-radius: 0 0 3rem 3rem;
    margin: 0 -1rem -3rem;
    position: relative;
    top: 3rem;
    z-index: 1;

    @include media-breakpoint-up(md) {
        color: $white;
        background-color: transparent;
        border-radius: 0;
        border: none;
    }

    .select-location {
        background: linear-gradient(0deg, rgba(5,93,187,1) 0%, rgba(5,93,187,1) 100%);
        height: auto;
        padding: 0.7em 1.2em;
    }

    .select-decoration {
        position: absolute;
        height: 1.8em;
        right: 0.5em;
        top: 50%;
        transform: translate(0, -50%);
        pointer-events: none;
        z-index: 4;
    }

    .input-unique-code {
        padding: 0.7em 1.2em;
        height: auto;
    }

    .btn-submit-code {
        background: linear-gradient(90deg, rgba(5,64,170,1) 0%, rgba(24,94,171,1) 100%);
        font-weight: bold;
        padding: 0.7em 1.6em;
        top: -1px;
        right: -1px;
    }
}
// scroll
.show-scroll {
    @include media-breakpoint-up(md) {
        // max-height: calc(100vh - 240px); set the max-height accordingly as needed for each use to take effect
        overflow: hidden auto;
        padding-right: 2rem;
        padding-left: 1rem;
    }

    .simplebar-track.simplebar-vertical {
        top: 0;
        width: 11px;
        background: #E3F5FF;
        border-radius: 11px;
    }

    .simplebar-track.simplebar-vertical .simplebar-scrollbar::before {
        background: #003DA6;
    }

    .simplebar-scrollbar.simplebar-visible::before {
        opacity: 1;
    }
}
// bg-white-blue
.bg-white-blue {
    color: $primary;
    margin-top: 8rem;
    @include media-breakpoint-up(md) {
        background-color: $blue;
        color: $white;
        margin-top: 0;
    }
    .card-mobile {
        @include media-breakpoint-down(xs) {
            background-color:$light;
            border-radius: 2rem;
            box-shadow: 0 20px 20px -5px rgba(0, 0, 0, 0.25);
            margin: 0 .5rem;
            padding: 2rem .5rem 1rem;
        }
        .btn {
            display: block;
             @include media-breakpoint-up(md) {
                 display: inline-block;
             }
        }
    }
    @include media-breakpoint-down(xs) {
        .swiper-howto {
            position: relative;
            &:before {
                background-color: $light;
                border-radius: 10rem;
                content: '';
                display: block;
                height: 70%;
                position: absolute;
                left: 0;
                right: 0;
                top: 10%;
                z-index: -1;
            }
        }
    }
}
// gigya form
.block-gigya-raas {
    min-height: 80vh;
    input[type='submit'], input[type='button'] {
        background-color: white!important;
        color: #0038aa!important;
        padding-top: .6em !important;
        padding-bottom: .6em !important;
        border-radius: 100px;
        font-weight: bold;
        text-transform: uppercase;
    }
    
    .container .rw_white_wrap {
        padding-left: 0px !important;
    }
    
    input[type='text'], input[type='password']  {
        border-width: .25rem!important;
        max-width: 30rem !important;
        padding: .375rem .75rem !important;
        font-weight: 400;
        border: 1px solid #ced4da;
        border-radius: 100px ;
    }
    
    .rw_form.country-code {
        width: 63px !important;
    }
    
    @media (min-device-width: 1200px) {
        .rw_form.phone-number {
            width: 414px !important;
        }
    }
    
    .gigya-screen .gigya-message {
        color: #fff !important;
    }
    
    .gigya-input-password {
        width: 100% !important;
    }
  }
  